# Generated by Selenium IDE
# import pytest
import unittest

from selenium import webdriver
from selenium.webdriver.common.by import By


class TestPay(unittest.TestCase):
  """
  Cela va lancer un navigateur !
  il faut installer Firefox et geckodrive (on peut faire avec CHrome et son driver aussi)
  Il faut aussi lancer le serveur Django et faire en sorte qu'il puisse reçevoir les réponses POST auto de MercaNET ...
   -> utiliser ngrok, ultrahook, port-forward de sa box ou autre
  """

  def setUp(self):
    self.driver = webdriver.Firefox()
    self.vars = {}

  def tearDown(self):
    self.driver.quit()

  def test_pay(self):
    self.driver.get("http://localhost:8000/mercanet/pay/")

    # Test name: pay
    # Step # | name | target | value
    # 1 | open | /fr/payment/selectpaymentmethod/ppc0 | 
    # self.driver.get("https://payment-web-mercanet.test.sips-atos.com/fr/payment/selectpaymentmethod/ppc0")
    # 2 | setWindowSize | 1382x691 | 
    self.driver.set_window_size(1382, 691)
    # 3 | click | css=ul:nth-child(1) > li:nth-child(3) | 
    self.driver.find_element(By.CSS_SELECTOR, "ul:nth-child(1) > li:nth-child(3)").click()
    # 4 | click | id=cardNumberField-label | 
    self.driver.find_element(By.ID, "cardNumberField-label").click()
    # 5 | click | id=cardNumberField | 
    self.driver.find_element(By.ID, "cardNumberField").click()
    # 6 | type | id=cardNumberField | 5017674000000192
    self.driver.find_element(By.ID, "cardNumberField").send_keys("5017674000000192")
    # 7 | select | id=expirydatefield-year | label=2024
    dropdown = self.driver.find_element(By.ID, "expirydatefield-year")
    dropdown.find_element(By.XPATH, "//option[. = '2024']").click()
    # 8 | click | css=#expirydatefield-year > option:nth-child(5) | 
    self.driver.find_element(By.CSS_SELECTOR, "#expirydatefield-year > option:nth-child(5)").click()
    # 9 | click | id=cvvfield | 
    self.driver.find_element(By.ID, "cvvfield").click()
    # 10 | type | id=cvvfield | 123
    self.driver.find_element(By.ID, "cvvfield").send_keys("123")
    # 11 | click | id=form_submit | 
    self.driver.find_element(By.ID, "form_submit").click()
    # 12 | click | linkText=Continuer | 
    self.driver.find_element(By.LINK_TEXT, "Continuer").click()

    print(self.driver.current_url)
    self.assertEqual(self.driver.current_url, "https://perdu.com/")
